package com.xiang.xservice.application.script.fwd.mapper;

import com.xiang.xservice.application.script.fwd.entity.pojo.FPerformProjectInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @Author: xiang
 * @Date: 2025-07-24 17:22
 */
@Repository
@Mapper
public interface FwdPerformProjectInfoMapper {
    FPerformProjectInfo getProjectByProjectId(Long projectId);

    int insert(FPerformProjectInfo fPerformProjectInfo);

    int update(FPerformProjectInfo fPerformProjectInfo);

    List<FPerformProjectInfo> getPreSaleTodayData(@Param("startTime") LocalDateTime startTime, @Param("endTime") LocalDateTime endTime);
}
